Tracking Dependencies

From Inkscape Wiki
Revision as of 19:20, 1 March 2012 by Valavanisalex (Talk | contribs) (Distros: Fixed build issues on most distros)

Jump to: navigation, search

(stub contents in need of filling out)

Overview

We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.

To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.

Libs

C++ bindings are not included, since their required versions match those of the C counterparts.

Library v 0.47 v 0.48.x trunk
Boehm-GC  ? 6.4 6.4
Cairo  ?  ? 1.10
GDK  ?  ?  ?
Glib 2.16* 2.16* 2.24
glibmm  ?  ?  ?
GTK+ 2.12* 2.12* 2.20
GNU Scientific Library  ?  ?  ?
LittleCMS 1.13 1.13 1.13
libxml 2.6.11* 2.6.11* 2.6.11*
libxslt 1.0.15* 1.0.15* 1.0.15*
Pango  ?  ?  ?
Poppler 0.5.9* 0.5.9* 0.5.9*
libsigc++ 2.0.12* 2.0.12* 2.0.12*

* Tentative dependency

Functions Used

Function Lib Since Required
g_timeout_add_seconds Glib 2.14  ?

Distros

Note: This table is not relevant to (non-fink) MacOS X, where we ship the desired version with Inkscape.

Distro cairo glib glibmm gtk+ gtkmm pango gdl lcms libsigc++
Windows Devlibs 1.10.2 2.28.8 2.26.0 2.24.8
(none)
2.22.0 1.28.3 (none) 1.17 2.2.4.2
Debian 6.0 (Squeeze, stable) EOL ~2014? 1.8.10 2.24.2 2.24.2 2.20.1
(none)
2.20.3 1.28.3 2.30.1 1.18 1.0.4
2.2.4.2
Fedora 15 EOL 2012-06 1.10.2 2.28.6 2.28.6 2.24.4
3.0.9
2.24.0 1.28.4 3.0.0 1.19
2.2
1.2.7
2.2.9
Fedora 16 1.10.2 2.30.1 2.30.0 2.24.8
3.2.1
2.24.2
3.2.0
1.29.4 3.2.0 1.19
2.3
1.2.7
2.2.10
Open SuSE 11.4 EOL 2012-09-15 1.10.2 2.28.0 2.25.5 2.22.1
(none)
2.22.0 1.28.3 2.30.1 1.19
2.1
1.2.7
2.2.8
Open SuSE 12.1 EOL 2013-05-15 1.10.2 2.30.1 2.30.0 2.24.7
3.2.1
2.24.2
3.2.0
1.29.4 3.2.0 1.19
2.2
1.2.7
2.2.10
Ubuntu 10.04 LTS (Lucid) EOL 2013-04 (Desktop) 1.8.10 2.24.0 2.24.1 2.20.0
(none)
2.20.2 1.28.0 2.30.0 1.18 1.0.4
2.2.4.2
Ubuntu 10.10 (Maverick) EOL 2012-04 1.10.0 2.26.1 2.25.2 2.22.0
(none)
2.20.3 1.28.2 2.30.0 1.18 1.0.4
2.2.4.2
Ubuntu 11.04 (Natty) EOL 2012-10 1.10.2 2.28.6 2.28.0 2.24.4
3.0.8
2.24.0 1.28.4 2.30.1 1.18 1.0.4
2.2.4.2
Ubuntu 11.10 (Oneiric) EOL 2013-04 1.10.2 2.30.0 2.30.0 2.24.6
3.2.0
2.24.2
3.2.0
1.29.3 3.1.5 1.19
2.2
1.0.4
2.2.10
Ubuntu 12.04 (Precise) EOL 2017-04 (as of 2/16/12) 1.10.2 2.31.16 2.31.16 2.24.10
3.3.14
2.24.2
3.3.14
1.29.5 3.3.4 1.19
2.2
1.2.7
2.2.10
Legend
Inkscape 0.48 unsupported
Inkscape trunk unsupported